<!--<div *ngFor="let ans of answers">
    <div class="list-group-item list-group-item-dark" *ngIf="ans.billet.product">
        {{ans.billet.product.name}}
    </div>
    <div class="list-group-item">
        <h5>{{ans.option.name}}</h5>
        {{ans.question.question}}
        <p>{{ans.question.help_text}}</p>
        <input type="text">
    </div>
</div>-->

<form #f="ngForm" (ngSubmit)="onSubmit(f)">
    <div *ngFor="let billet of order.billets; index as bindex">
        <div class="list-group-item list-group-item-dark" [class.top-question]="bindex==1"
             *ngIf="billet.product && billet.billet_options.length>0">{{billet.product.name}}</div>
        <div *ngFor="let boption of billet.billet_options; index as oindex">
            <div *ngIf="boption.option.questions.length>0">
                <div class="list-group-item list-group-item-dark">{{boption.option.name}}</div>
                <div class="list-group-item" *ngFor="let question of boption.option.questions; index as qindex">
                    <app-question [question]="question" [billet]="boption.billet"
                                  [id]="bindex+'_'+oindex+'_'+qindex"
                                  [participant]="null"
                                  (answer)="trackAnswer($event)"></app-question>
                </div>
            </div>
        </div>
    </div>
    <div class="mt-3">
        <div class="row">
            <div class="col-md-3">
                <app-go-back-button [order]="order"></app-go-back-button>
            </div>
            <div class="col-md-4 offset-md-1">
                <app-cancel-order-button [order]="order"></app-cancel-order-button>
            </div>
            <div class="col-md-3 offset-md-1">
                <button class="btn btn-primary btn-block">Suivant</button>
            </div>
        </div>
    </div>
</form>